/*
Theme Name:		SoloPatagonia
Description:	SoloPatagonia Theme
Theme URI:		https://solopatagonia.com/
Theme Author:	KevinGiu
Author URI:		https://kevingiu.com
Template:		bricks
Version:		1.0.0
Text Domain:	bricks
*/








/* ----------------------- */
/* ------- GENERAL ------- */
/* ----------------------- */


html {
	scroll-behavior: smooth;
	scroll-padding-top: 110px;
}


/* Preloader */

body {
	opacity: 0;
	transition: .3s;
}
body.loaded {
	opacity: 1;
}


/* Scrollbar */

::-webkit-scrollbar {
    width: 6px;
	height: 6px;
}
::-webkit-scrollbar-track {
    background: var(--background-top);
    border-radius: 100px;
}
::-webkit-scrollbar-thumb {
    background: var(--color-primary);
    //border-radius: 100px;
}


/* h4 for plain posts */

.brxe-text h4,
.brxe-post-content h4 {
    margin-top: 40px;
    margin-bottom: 15px;
}
.brxe-text h4:first-child,
.brxe-post-content h4:first-child  {
    margin-top: 0;
}


/* Buttons hover */
/*
button[type="button"],
button[type="submit"] {
	transition: .2s;
}

.brxe-button:hover,
button[type="button"]:hover,
button[type="submit"]:hover {
    filter: brightness(1.15) saturate(.85);
}

.brxe-button.bricks-background-light:hover {
	opacity: .94;
}
.brxe-button.bricks-background-dark:hover {
	opacity: .85;
}
*/


/* Google translate */

.gtranslate_wrapper #gt_float_wrapper {
	//bottom: 75px !important;
}

.gtranslate_wrapper .gt_float_switcher {
	display: block;
	border-radius: 10px;
	box-shadow: 0 0 20px #00000015 !important;
	background: rgba(255, 255, 255, 1) !important;
	padding: 5px 5px;
	transition: none !important;
}

.gtranslate_wrapper .gt_options a,
.gtranslate_wrapper .gt-selected div {
	font-size: 13px;
	font-weight: bold;
	font-family: "Domaine Sans Text";
	transition: .2s !important;
	color: #000000dd !important;
	padding: 5px 5px 5px 5px !important;
	display: flex !important;
	gap: 5px;
	align-items: center;
}
.gtranslate_wrapper .gt_options a.gt-current {
	display: none !important;
}

.gtranslate_wrapper .gt_options a {
	border-radius: 6px;
}
.gtranslate_wrapper .gt_options a:hover {
	background: #f5f5f5 !important;
}

.gtranslate_wrapper .gt-selected div span {
	top: 0 !important;
}

.gtranslate_wrapper img {
	width: 28px !important;
}


/* Helpers */

.textborder-light {
	text-shadow: 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff, 0 0 5px #ffffff;
}

.strong-primary strong,
.strong-dual strong:nth-child(odd) {
  color: var(--color-primary);
}

.strong-secondary strong,
.strong-dual strong:nth-child(even) {
  color: var(--color-secondary);
}







/* -------------------------- */
/* ------- ANIMATIONS ------- */
/* -------------------------- */


@keyframes fadeInUpX {
    0% {
        opacity: 0;
        transform: translateY(50px)
    }
    to {
        opacity: 1;
        transform: translateX(0)
    }
}
.brx-animate-fadeInUp {
    animation-name: fadeInUpX !important;
}

.slide-anim-fadeinup {
	opacity: 0;
}
.is-visible .slide-anim-fadeinup {
    animation: fadeInUpX 1s;
	animation-fill-mode: forwards;
}


@keyframes fadeInDownX {
    0% {
        opacity: 0;
        transform: translateY(-50px)
    }
    to {
        opacity: 1;
        transform: translateX(0)
    }
}
.brx-animate-fadeInDown {
    animation-name: fadeInDownX !important;
}

.slide-anim-fadeindown {
	opacity: 0;
}
.is-visible .anim-fadeindown {
    animation: fadeInDownX 1s;
	animation-fill-mode: forwards;
}


@keyframes fadeInLeftX {
    0% {
        opacity: 0;
        transform: translateX(-100px)
    }
    to {
        opacity: 1;
        transform: translateX(0)
    }
}
.brx-animate-fadeInLeft {
    animation-name: fadeInLeftX !important;
}

.slide-anim-fadeinleft {
	opacity: 0;
}
.is-visible .slide-anim-fadeinleft {
    animation: fadeInLeftX 1s;
	animation-fill-mode: forwards;
}


@keyframes fadeInRightX {
    0% {
        opacity: 0;
        transform: translateX(100px)
    }
    to {
        opacity: 1;
        transform: translateX(0)
    }
}
.brx-animate-fadeInRight {
    animation-name: fadeInRightX !important;
}

.slide-anim-fadeinright {
	opacity: 0;
}
.is-visible .slide-anim-fadeinright {
    animation: fadeInRightX 1s;
	animation-fill-mode: forwards;
}


@keyframes zoomInX {
    0% {
        opacity: 0;
        transform: scale(.75)
    }
    to {
        opacity: 1;
        transform: scale(1)
    }
}
.brx-animate-zoomIn {
    animation-name: zoomInX !important;
}

.slide-anim-zoomin {
	opacity: 0;
}
.is-visible .slide-anim-zoomin {
    animation: zoomInX 1s;
	animation-fill-mode: forwards;
}


@keyframes zoomOutX {
    0% {
        opacity: 0;
        transform: scale(1.25)
    }
    to {
        opacity: 1;
        transform: scale(1)
    }
}
.brx-animate-zoomOutX {
    animation-name: zoomOutX !important;
}

.slide-anim-zoomout {
	opacity: 0;
}
.is-visible .slide-anim-zoomout {
    animation: zoomOutX 1s;
	animation-fill-mode: forwards;
}


@keyframes rotateInUpLeftX {
    0% {
        opacity: 0;
        transform: translateY(200px) rotateZ(20deg);
    }
    to {
        opacity: 1;
        transform: translateX(0) rotateZ(0deg);
    }
}
.brx-animate-rotateInUpLeft {
    animation-name: rotateInUpLeftX !important;
	transform-origin: center center;
}

.slide-anim-rotateinupleft {
	opacity: 0;
}
.is-visible .slide-anim-rotateinupleft {
    animation: rotateInUpLeftX 1s;
	animation-fill-mode: forwards;
}


@keyframes rotateInUpRightX {
    0% {
        opacity: 0;
        transform: translateY(200px) rotateZ(-20deg);
    }
    to {
        opacity: 1;
        transform: translateX(0) rotateZ(0deg);
    }
}
.brx-animate-rotateInUpRight {
    animation-name: rotateInUpRightX !important;
	transform-origin: center center;
}

.slide-anim-rotateinupright {
	opacity: 0;
}
.is-visible .slide-anim-rotateinupright {
    animation: rotateInUpRightX 1s;
	animation-fill-mode: forwards;
}


@keyframes kenburns {
	0% {
	transform: scale(1.1);
	}
	100% {
		transform: scale(1);
	}
}
.anim-kenburns {
	animation: kenburns 7s infinite ease-in-out alternate;
}

@keyframes float {
    0%   { transform: translateY(10px); }
    50%  { transform: translateY(-10px); }
    100% { transform: translateY(10px); }
}
.anim-float {
	animation: float 4s infinite ease-in-out;
}


.anim-delay100 { animation-delay: .1s !important; }
.anim-delay200 { animation-delay: .2s !important; }
.anim-delay300 { animation-delay: .3s !important; }
.anim-delay400 { animation-delay: .4s !important; }
.anim-delay500 { animation-delay: .5s !important; }
.anim-delay600 { animation-delay: .6s !important; }
.anim-delay700 { animation-delay: .7s !important; }
.anim-delay800 { animation-delay: .8s !important; }
.anim-delay900 { animation-delay: .9s !important; }
.anim-delay1000 { animation-delay: 1s !important; }

@media screen and (max-width: 767px) {
	.anim-delay100 { animation-delay: 0s !important; }
	.anim-delay200 { animation-delay: 0s !important; }
	.anim-delay300 { animation-delay: 0s !important; }
	.anim-delay400 { animation-delay: 0s !important; }
	.anim-delay500 { animation-delay: 0s !important; }
	.anim-delay600 { animation-delay: 0s !important; }
	.anim-delay700 { animation-delay: 0s !important; }
	.anim-delay800 { animation-delay: 0s !important; }
	.anim-delay900 { animation-delay: 0s !important; }
	.anim-delay100 { animation-delay: 0s !important; }
}








/* ---------------------------- */
/* ------- TESTIMONIALS ------- */
/* ---------------------------- */


.testimonials .splide__track {
    padding: 10px !important;
	width: calc(100% + 20px);
	margin: -10px
}

.testimonials .splide__pagination .splide__pagination__page,
.testimonials .splide__arrows .splide__arrow {
    transition: .3s;
}

@media screen and (max-width: 768px) {
	.testimonials .splide__pagination {
		left: 50% !important;
		transform: translateX(-50%) !important;
	}
	.testimonials .splide__arrows {
		display: none !important;
		visibility: hidden;
		pointer-events: none !important;
	}
}








/* ------------------------------ */
/* ------- PRODUCT SINGLE ------- */
/* ------------------------------ */


/* Calendar */

.form-calendar-fixed .flatpickr-calendar {
    box-shadow: none;
	width: 100%;
    border-radius: var(--border-radius-secondary);
    padding: 0
}

.form-calendar-fixed .flatpickr-calendar .flatpickr-innerContainer,
.form-calendar-fixed .flatpickr-calendar .flatpickr-rContainer,
.form-calendar-fixed .flatpickr-calendar .flatpickr-days,
.form-calendar-fixed .flatpickr-calendar .dayContainer {
    width: 100%;
}

.form-calendar-fixed .flatpickr-calendar .flatpickr-weekdaycontainer,
.form-calendar-fixed .flatpickr-calendar .dayContainer {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
}

.form-calendar-fixed .flatpickr-calendar .dayContainer > span {
    width: 30px;
    max-width: none !important;
}

.form-calendar-fixed .flatpickr-calendar .flatpickr-day {
  margin: 0 auto !important;
  aspect-ratio: 1;
}

.form-calendar-fixed .flatpickr-calendar .flatpickr-day.selected {
	background: var(--color-secondary);
	border-color: var(--color-secondary);
}








/* -------------------- */
/* ------- BLOG ------- */
/* -------------------- */


/* General */

body.single-post.imported .brxe-post-content p {
    margin: 0;
}

body.single-post .brxe-post-content h2 {
    font-size: 22px;
    color: var(--color-primary);
    margin-bottom: 10px;
}


/* Gallery */

.brxe-post-content .gallery {
    margin: 20px 0 40px !important;
    gap: 10px;
    width: 100%;
}

.brxe-post-content .gallery figure {
    flex: 1 !important;
    padding: 0 !important;
    border-radius: var(--border-radius-primary);
    overflow: hidden;
	max-width: none !important;
    min-width: 160px !important;
}

.brxe-post-content .gallery figure img {
	aspect-ratio: 1;
	object-fit: cover;
}


/* Audio */

.audio-container {
    width: 100%;
	border-radius: var(--border-radius-secondary);
	background: #f1f3f4;
}

.audio-player {
    width: 100%;
	display: block;
}









a[href*="elfsight.com"] {
    display: none !important;
    transform: scaleY(1.5) !important;
    filter: opacity(0);
    pointer-events: none !important;
}
